"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable jest/no-conditional-expect */
const nock_1 = __importDefault(require("nock"));
const LensPlatformClient_1 = __importDefault(require("./LensPlatformClient"));
const LensPlatformClient_test_1 = require("./LensPlatformClient.test");
describe(".space.*", () => {
    const spaceName = "spaceName";
    const response = {
        name: spaceName,
    };
    (0, nock_1.default)(LensPlatformClient_test_1.apiEndpointAddress)
        .get(/spaces/)
        .twice()
        .reply(200, response);
    (0, nock_1.default)(LensPlatformClient_test_1.apiEndpointAddress).post("/spaces").reply(200, response);
    (0, nock_1.default)(LensPlatformClient_test_1.apiEndpointAddress).patch(`/spaces/${spaceName}`).reply(200, response);
    (0, nock_1.default)(LensPlatformClient_test_1.apiEndpointAddress).delete(`/spaces/${spaceName}`).reply(200, response);
    const lensPlatformClient = new LensPlatformClient_1.default(LensPlatformClient_test_1.minimumOptions);
    ["createOne", "getOne", "getMany", "updateOne", "deleteOne"].forEach((method) => {
        it(`${method}()`, async () => {
            if (method === "deleteOne") {
                expect(async () => lensPlatformClient.space[method]({ name: spaceName })).not.toThrow();
            }
            else if (method === "updateOne") {
                expect(await lensPlatformClient.space[method](spaceName, { name: spaceName })).toEqual(response);
            }
            else {
                // @ts-expect-error
                // eslint-disable-next-line @typescript-eslint/no-unsafe-call
                expect(await lensPlatformClient.space[method]({ name: spaceName })).toEqual(response);
            }
        });
    });
});
