interface LensPlatformExceptionData {
    errorCode: number | string | null;
    message: string;
}
/**
 * Base class for exceptions
 */
export declare class LensSDKException extends Error implements LensPlatformExceptionData {
    errorCode: number | string | null;
    message: string;
    rawException?: unknown;
    constructor(errorCode: number | string | null, message: string, rawException?: unknown);
}
export declare class NotFoundException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class UnauthorizedException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class ConflictException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class ForbiddenException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class TokenNotFoundException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class BadRequestException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class UnprocessableEntityException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export declare class InternalServerException extends LensSDKException {
    constructor(message?: string, rawException?: unknown);
}
export {};
