"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionAlreadyExistsException = exports.UsernameAlreadyExistsException = exports.UserIdNotFoundException = exports.UserNameNotFoundException = void 0;
const common_exceptions_1 = require("./common.exceptions");
class UserNameNotFoundException extends common_exceptions_1.NotFoundException {
    constructor(userName) {
        super(`Could not find user @${userName}`);
        Object.setPrototypeOf(this, UserNameNotFoundException.prototype);
    }
}
exports.UserNameNotFoundException = UserNameNotFoundException;
class UserIdNotFoundException extends common_exceptions_1.NotFoundException {
    constructor(userId) {
        super(`Could not find user by id ${userId}`);
        Object.setPrototypeOf(this, UserIdNotFoundException.prototype);
    }
}
exports.UserIdNotFoundException = UserIdNotFoundException;
class UsernameAlreadyExistsException extends common_exceptions_1.ConflictException {
    constructor() {
        super();
        Object.setPrototypeOf(this, UsernameAlreadyExistsException.prototype);
    }
}
exports.UsernameAlreadyExistsException = UsernameAlreadyExistsException;
class SubscriptionAlreadyExistsException extends common_exceptions_1.ConflictException {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, SubscriptionAlreadyExistsException.prototype);
    }
}
exports.SubscriptionAlreadyExistsException = SubscriptionAlreadyExistsException;
