import type { Space, SpaceEntity } from "./SpaceService";
import type { MapToEntity } from "./types/types";
import type { Except } from "type-fest";
export type DevClusterCrdState = "Provisioning" | "Reprovisioning" | "Starting" | "Running" | "Stopping" | "Stopped" | "Terminating" | "Terminated";
export type Phase = Lowercase<DevClusterCrdState> | "" | "initializing" | "available" | "failed" | "tunneling";
/**
 *
 * @remarks
 * This interface should be generated using OpenAPI generator in the future.
 *
 * @alpha
 */
export interface K8sCluster {
    apiVersion?: string;
    id?: string;
    name: string;
    kind: string;
    region?: string;
    description?: string;
    createdById?: string;
    spaceId?: string;
    space?: Space;
    metadata?: Record<string, any>;
    createdAt?: string;
    updatedAt?: string;
    status?: {
        phase?: Phase;
        reason?: string;
        message?: string;
    };
}
export type K8sClusterEntity = Except<MapToEntity<K8sCluster>, "space"> & {
    space?: SpaceEntity;
};
export declare const isDevCluster: (k8sCluster: K8sCluster | K8sClusterEntity) => boolean;
